Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007133opensim[REGION] OpenSim Corepublic2014-04-25 16:292014-09-11 19:49
Reportersmxy 
Assigned Tosmxy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007133: More remote profile spew.
Description19:23:01 - [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.UserInfoRequestPacket for Francesco.Siciliano @craft-world.org, Cannot cast from source type to destination type. at OpenSim.Framework.Servers.HttpServer.JsonRpcRequestManager.JsonRpcRequest (System.Object& parameters, System.String method, System.String uri, System.String jsonId) [0x00141] in /home/ste/grid/src/coreOS/build/build-r24655/OpenSim/Framework/Servers/HttpServer/JsonRpcRequestManager.cs:120
  at OpenSim.Region.CoreModules.Avatar.UserProfiles.UserProfileModule.UserPreferencesRequest (IClientAPI remoteClient) [0x0004c] in /home/ste/grid/src/coreOS/build/build-r24655/OpenSim/Region/CoreModules/Avatar/UserProfiles/UserProfileModule.cs:863
  at OpenSim.Region.ClientStack.LindenUDP.LLClientView.HandleUserInfoRequest (IClientAPI sender, OpenMetaverse.Packets.Packet Pack) [0x00011] in /home/ste/grid/src/coreOS/build/build-r24655/OpenSim/Region/ClientStack/Linden/UDP/LLClientView.cs:6856
  at OpenSim.Region.ClientStack.LindenUDP.LLClientView.ProcessSpecificPacketAsync (System.Object state) [0x0001c] in /home/ste/grid/src/coreOS/build/build-r24655/OpenSim/Region/ClientStack/Linden/UDP/LLClientView.cs:741
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono Version3.2
Viewer
Attached Files

- Relationships

-  Notes
(0025975)
smxy (reporter)
2014-05-06 18:49

I neglected to mention that this was with the internal, core profile module.
(0026234)
smxy (reporter)
2014-06-03 18:24

I still see errors:

21:18:12 - [UTIL]: Util STP threadfunc 691 terminated with error System.InvalidCastException: Cannot cast from source type to destination type.
  at OpenSim.Region.CoreModules.Avatar.UserProfiles.UserProfileModule.GetImageAssets (UUID avatarId) [0x000b4] in /home/ste/grid/src/coreOS/build/build-r24824/OpenSim/Region/CoreModules/Avatar/UserProfiles/UserProfileModule.cs:1156
  at OpenSim.Region.CoreModules.Avatar.UserProfiles.UserProfileModule+<HandleOnMakeRootAgent>c__AnonStorey0.<>m__0 (System.Object ) [0x00012] in /home/ste/grid/src/coreOS/build/build-r24824/OpenSim/Region/CoreModules/Avatar/UserProfiles/UserProfileModule.cs:183
  at OpenSim.Framework.Util+<FireAndForget>c__AnonStorey0.<>m__1 (System.Object o) [0x00091] in /home/ste/grid/src/coreOS/build/build-r24824/OpenSim/Framework/Util.cs:2150
(0026240)
Diva (administrator)
2014-06-05 19:05

[18:59] <cia-opensim> opensim: diva * r5bb95a8a5515 OpenSim/Region/CoreModules/Avatar/UserProfiles (UserProfileModule.cs):
[18:59] <cia-opensim> May fix mantis 0007133
(0026833)
smxy (reporter)
2014-09-11 19:48

I haven't seen any profile-related spew in a long time, so am assuming this is fixed.

- Issue History
Date Modified Username Field Change
2014-04-25 16:29 smxy New Issue
2014-05-06 18:49 smxy Note Added: 0025975
2014-06-03 18:24 smxy Note Added: 0026234
2014-06-05 19:05 Diva Note Added: 0026240
2014-09-11 19:48 smxy Note Added: 0026833
2014-09-11 19:48 smxy Status new => resolved
2014-09-11 19:48 smxy Fixed in Version => master (dev code)
2014-09-11 19:48 smxy Resolution open => fixed
2014-09-11 19:48 smxy Assigned To => smxy
2014-09-11 19:49 smxy Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker